Subject: bug#34236: closed (Re: bug#34236: scons does not run)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 28 Jan 2019 19:12:02 +0000

Your bug report

#34236: scons does not run

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
34236: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=34236
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#34236: scons does not run
From: Ricardo Wurmus <[email-masked]>
To: Luther Thompson <[email-masked]>
Cc: [email-masked]
Date: Mon, 28 Jan 2019 20:11:37 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Luther Thompson <[email-masked]> writes:

> scons refuses to run on my system. When I run it with or without a
> SConscript file, I get this error message:[…]

This should now be fixed with commit ad34338d1.

-- 
Ricardo

Subject: scons does not run
From: Luther Thompson <[email-masked]>
To: [email-masked]
Date: Mon, 28 Jan 2019 13:42:22 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

scons refuses to run on my system. When I run it with or without a
SConscript file, I get this error message:

---BEGIN---
Traceback (most recent call last):
  File "/gnu/store/r7nxidk4r12wa3y7gipqx58gc3dx3vp2-scons-3.0.1/bin/.scons-real", line 192, in <module>
    import SCons.Script
  File "/gnu/store/r7nxidk4r12wa3y7gipqx58gc3dx3vp2-scons-3.0.1/lib/scons-3.0.1/SCons/__init__.py", line 43, in <module>
    import SCons.compat
  File "/gnu/store/r7nxidk4r12wa3y7gipqx58gc3dx3vp2-scons-3.0.1/lib/scons-3.0.1/SCons/compat/__init__.py", line 105, in <module>
    rename_module('profile', 'cProfile')
  File "/gnu/store/r7nxidk4r12wa3y7gipqx58gc3dx3vp2-scons-3.0.1/lib/scons-3.0.1/SCons/compat/__init__.py", line 84, in rename_module
    sys.modules[new] = imp.load_module(old, *imp.find_module(old))
  File "/gnu/store/ibxxisi81v1v3y5xc3axl4x4rx6jpzw8-python-3.7.0/lib/python3.7/imp.py", line 235, in load_module
    return load_source(name, filename, file)
  File "/gnu/store/ibxxisi81v1v3y5xc3axl4x4rx6jpzw8-python-3.7.0/lib/python3.7/imp.py", line 172, in load_source
    module = _load(spec)
  File "<frozen importlib._bootstrap>", line 696, in _load
  File "<frozen importlib._bootstrap>", line 677, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 724, in exec_module
  File "<frozen importlib._bootstrap_external>", line 838, in get_code
TypeError: a bytes-like object is required, not 'str'
---END---

I have a hunch that this is caused by a missing environment variable,
but I don't know where to go from there.

Luther